UUCP(1C)

NAME
uucp - unix to unix copy

SYNOPSIS
uucp [ -acCdfmr ] [ -nuser ] [ -ggrade ] [ -sspool ] [ -xdebug ] source-file.... destination-file

DESCRIPTION
Uucp copies files named by the source-file arguments to the destination-file argument. A file name may be a pathname on your machine, or may have the form

    system-name!pathname

where `system-name' is taken from a list of system names that uucp knows about. Shell metacharacters ?*[] appearing in the pathname part will be expanded on the appropriate system.

Pathnames may be one of:

(1) a full pathname;

(2) a pathname preceded by ~user; where user is a userid on the specified system and is replaced by that user's login directory;

(3) a pathname prefixed by ~, where ~ is expanded into the system's public directory (usually /var/spool/uucppublic);

(4) a partial pathname, which is prefixed by the current directory.

If the result is an erroneous pathname for the remote system, the copy will fail. If the destination-file is a directory, the last part of the source-file name is used.

Uucp preserves execute permissions across the transmission and gives 0666 read and write permissions (see chmod(2)).

The following options are interpreted by uucp.

-a  Avoid doing a getwd to find the current directory. (This is sometimes used for efficiency.)

-c  Use the source file when copying out rather than copying the file to the spool directory. (This is the default.)

-C  Copy the source file to the spool directory and transmit the copy.

-d  Make all necessary directories for the file copy. (This is the default.)

-f  Do not make intermediate directories for the file copy.

-ggrade
    Grade is a single letter/number; lower ASCII sequence characters will cause a job to be transmitted earlier during a particular conversation. Default is `n'. By way of comparison, uux(1C) defaults to `A'; mail is usually sent at `C'.

-m  Send mail to the requester when the copy is complete.

-nuser
    Notify user on remote system (i.e., send user mail) that a file was sent.

-r  Do not start the transfer, just queue the job.

-sspool
    Use spool as the spool directory instead of the default.

-xdebug
    Turn on the debugging at level debug.

FILES
/var/spool/uucp - spool directory
/usr/lib/uucp/* - other data and program files

SEE ALSO
uux(1C), mail(1)

D. A. Nowitz and M. E. Lesk, A Dial-Up Network of UNIX Systems.

D. A. Nowitz, Uucp Implementation Description.

WARNING
The domain of remotely accessible files can (and for obvious security reasons, usually should) be severely restricted. You will very likely not be able to fetch files by pathname; ask a responsible person on the remote system to send them to you. For the same reasons you will probably not be able to send files to arbitrary pathnames.

BUGS
All files received by uucp will be owned by the uucp administrator (usually UID 5).

The -m option will only work sending files or receiving a single file. (Receiving multiple files specified by special shell characters ?*[] will not activate the -m option.)

At present uucp cannot copy to a system several "hops" away, that is, a command of the form

	uucp myfile system1!system2!system3!yourfile

is not permitted. Use uusend(1C) instead.

When invoking uucp from csh(1), the `!' character must be prefixed by the `\' escape to inhibit csh's history mechanism. (Quotes are not sufficient.)

Uucp refuses to copy a file that does not give read access to ``other''; that is, the file must have at least 0444 modes.